%global major 1
%define libname %mklibname freehand %major
%define devname %mklibname -d freehand
%global apiversion 0.1

Name: libfreehand
Version: 0.1.1
Release: %mkrel 7
Summary: A library for import of Macromedia/Adobe FreeHand documents

Group: System/Libraries
License: MPLv2.0
URL: http://wiki.documentfoundation.org/DLP/Libraries/libfreehand
Source: http://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.xz

BuildRequires: doxygen
BuildRequires: gperf
BuildRequires: help2man
BuildRequires: pkgconfig(icu-i18n)
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(zlib)


%description
libfreehand is library providing ability to interpret and import
Macromedia/Adobe FreeHand documents into various applications.

%package -n %libname
Summary: A library for import of Macromedia/Adobe FreeHand documents
Group: System/Libraries

%description -n %libname
libfreehand is library providing ability to interpret and import
Macromedia/Adobe FreeHand documents into various applications.

%package -n %devname
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libfreehand-devel

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform Macromedia/Adobe FreeHand documents into other formats
Group: Office/Utilities
Requires: %{libname} = %{version}-%{release}

%description tools
Tools to transform Macromedia/Adobe FreeHand documents into other formats.
Currently supported: SVG, raw, text.

%prep
%autosetup -p1

%build
%configure2_5x --disable-silent-rules --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make

export LD_LIBRARY_PATH=`pwd`/src/lib/.libs${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
help2man -N -n 'debug the conversion library' -o fh2raw.1 ./src/conv/raw/.libs/fh2raw
help2man -N -n 'convert FreeHand document into SVG' -o fh2svg.1 ./src/conv/svg/.libs/fh2svg
help2man -N -n 'convert FreeHand document into plain text' -o fh2text.1 ./src/conv/text/.libs/fh2text

%install
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 fh2*.1 %{buildroot}/%{_mandir}/man1


%files -n %libname
%doc AUTHORS
%license COPYING
%{_libdir}/%{name}-%{apiversion}.so.%{major}{,.*}

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING
%doc docs/doxygen/html

%files tools
%{_bindir}/fh2raw
%{_bindir}/fh2svg
%{_bindir}/fh2text
%{_mandir}/man1/fh2raw.1*
%{_mandir}/man1/fh2svg.1*
%{_mandir}/man1/fh2text.1*


%changelog
* Thu Mar 16 2017 mrambo3501 <mrambo3501> 0.1.1-7.mga6
+ Revision: 1093092
- Rebuild for icu-58.2

* Mon Sep 19 2016 tv <tv> 0.1.1-6.mga6
+ Revision: 1054300
- use %%autosetup
- use %%license
- add man pages

* Sat May 14 2016 shlomif <shlomif> 0.1.1-5.mga6
+ Revision: 1015293
- Rebuild for the new UCI (new major)

* Fri May 13 2016 barjac <barjac> 0.1.1-4.mga6
+ Revision: 1015049
- Rebuild for ICU

* Thu Feb 11 2016 umeabot <umeabot> 0.1.1-3.mga6
+ Revision: 955460
- Mageia 6 Mass Rebuild

* Wed Aug 26 2015 tv <tv> 0.1.1-2.mga6
+ Revision: 869849
- rebuild with gcc5

* Tue Jun 23 2015 tv <tv> 0.1.1-1.mga6
+ Revision: 840258
- adjust file list
- BR pkgconfig(lcms2)
- BR icu-devel
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-4.mga5
+ Revision: 748535
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-3.mga5
+ Revision: 681465
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 0.1.0-2.mga5
+ Revision: 658581
- bump major

* Thu Jul 31 2014 tv <tv> 0.1.0-1.mga5
+ Revision: 658563
- new release

* Thu Feb 06 2014 tv <tv> 0.0.0-5.mga5
+ Revision: 584328
- add devel provides

* Thu Feb 06 2014 tv <tv> 0.0.0-4.mga5
+ Revision: 584317
- fix %%description

* Thu Feb 06 2014 tv <tv> 0.0.0-3.mga5
+ Revision: 584310
- imported package libfreehand


* Thu Feb 06 2014 Thierry Vignaud <tv@mageia.org> 0.0.0-3.mga5
- initial import (from FC)
